petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscSpaceSumSetConcatenate

Sets the concatenate flag for this space. A concatenated sum space will have number of components equal to the sum of the number of components of all subspaces.A non-concatenated, or direct sum space will have the same number of components as its subspaces .

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSumSetConcatenate(PetscSpace sp,PetscBool concatenate)

### Input Parameters

+ sp - the function space object - concatenate - are subspaces concatenated components (true) or direct summands (false)

### See Also

PetscSpaceSumGetConcatenate()

### Level

intermediate

### Location

src/dm/dt/space/impls/sum/spacesum.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages